- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.eventstr.ActivationEvent Struct Reference

The smjg.libs.sdwf.windowbase.ActivationEvent structure contains information about an instance of activating or deactivating a window. More...

List of all members.

## Public Member Functions
WindowBase | from ()
| The window object being deactivated.
WindowBase | to ()
| The window being activated.
WindowBase | receivedVia ()
| The window that received this message.
HWND | fromHandle ()
| The handle of the window being deactivated.
HWND | toHandle ()
| The handle of the window being activated.
bool | mdi ()
| Whether this event is a switching bewteen MDI child windows.
bool | activated ()
| Whether the window that received the message is the one being activated.
bool | byMouse ()
| Whether this window was activated by a mouse click.
int | param ()
| The second parameter (lParam) in the WM_ACTIVATE Windows message.

## Detailed Description

The smjg.libs.sdwf.windowbase.ActivationEvent structure contains information about an instance of activating or deactivating a window.

Since:
  0.58

Status:
  test

Future directions:
  This structure may eventually return SDWF objects for non-SDWF windows and windows belonging to other application instances. Therefore, applications should not rely on the from or to property returning null to indicate that the window is external to the application. It is also not decided whether ActivationEvent will remain a struct or become a class in later versions.

## Member Function Documentation

WindowBase smjg.libs.sdwf.eventstr.ActivationEvent.from | ( |  | ) |

The window object being deactivated.

Returns:
  The window being deactivated, or `null` if this is not an SDWF window within this application instance.

WindowBase smjg.libs.sdwf.eventstr.ActivationEvent.to | ( |  | ) |

The window being activated.

Returns:
  The window being deactivated, or `null` if this is not an SDWF window within this application instance.

WindowBase smjg.libs.sdwf.eventstr.ActivationEvent.receivedVia | ( |  | ) |

The window that received this message.

HWND smjg.libs.sdwf.eventstr.ActivationEvent.fromHandle | ( |  | ) |

The handle of the window being deactivated.

HWND smjg.libs.sdwf.eventstr.ActivationEvent.toHandle | ( |  | ) |

The handle of the window being activated.

bool smjg.libs.sdwf.eventstr.ActivationEvent.mdi | ( |  | ) |

Whether this event is a switching bewteen MDI child windows.

bool smjg.libs.sdwf.eventstr.ActivationEvent.activated | ( |  | ) |

Whether the window that received the message is the one being activated.

bool smjg.libs.sdwf.eventstr.ActivationEvent.byMouse | ( |  | ) |

Whether this window was activated by a mouse click.

Precondition:
  This property is not supported for MDI child windows, and is supported only for the message as received by the activated window.

int smjg.libs.sdwf.eventstr.ActivationEvent.param | ( |  | ) |

The second parameter (lParam) in the WM_ACTIVATE Windows message.

The first parameter (wParam) is available as fromHandle or toHandle, so is not provided as a separate property.

Precondition:
  The message must be WM_ACTIVATE. WM_MDIACTIVATE has no parameter other than the handles of the two windows involved.

The documentation for this struct was generated from the following file:

- eventstr.d